import Migration from "../../db/Migration";
import {Connection} from "mysql";

export default class DropNameFromUsers extends Migration {
    public async install(connection: Connection): Promise<void> {
        await this.query('ALTER TABLE users DROP COLUMN name', connection);
    }

    public async rollback(connection: Connection): Promise<void> {
        await this.query('ALTER TABLE users ADD COLUMN name VARCHAR(64)', connection);
    }

}
